%if 0%{?fedora} > 16
%global rubyabi 1.9.1
%global gem_name aeolus-cli
%global gemname %{gem_name}
%global geminstdir %{gem_instdir}
%global gemdir %{gem_dir}
%else
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname aeolus-cli
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8
%endif

%global mandir %{_mandir}/man1

Summary: Command-line interface for working with the Aeolus cloud suite
Name: rubygem-aeolus-cli
Version: 0.5.0
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://aeolusproject.org

# The source for this packages was pulled from the upstream's git repo.
# Use the following commands to generate the gem
# git clone  git://github.com/aeolusproject/aeolus-cli.git
# cd aeolus-cli
# rake gem
Source0: %{gemname}-%{version}.gem

Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: rubygem(nokogiri) >= 1.4.0
Requires: rubygem(rest-client)
Requires: rubygem(activesupport)
Requires: rubygem(activeresource)

BuildRequires: ruby
BuildRequires: rubygems
BuildRequires: rubygem(rspec-core)

%if 0%{?fedora} > 16
BuildRequires: rubygems-devel
BuildRequires: rubygem(vcr)
BuildRequires: rubygem(webmock)
%endif

BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
CLI for Aeolus Image Factory

%prep
%setup -q -c -T
mkdir -p ./%{gemdir}
gem install --local --install-dir ./%{gemdir} --force --rdoc %{SOURCE0}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod 755
rmdir %{buildroot}%{gemdir}/bin
rm -rf %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/.yardoc

mkdir -p %{buildroot}%{mandir}
mv %{buildroot}%{geminstdir}/man/* %{buildroot}%{mandir}

%files
%doc %{geminstdir}/COPYING
%{_bindir}/aeolus
%{_bindir}/aeolus-image
%dir %{geminstdir}
%{geminstdir}/Rakefile
%{geminstdir}/bin
%{geminstdir}/examples
%{geminstdir}/lib
%{geminstdir}/man
%{geminstdir}/spec
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%{mandir}/*

%changelog
* Wed Jun 06 2012 Steve Linabery <slinaber@redhat.com> - 0.5.0-1
- 4e160d9 BZ815357: spec: removed testcase for --no-validation
- 535676a BZ815357: removed --no-validation option
- 03981c1 BZ815357: buildcmd: surround template xml with CDATA
- 396a329 BZ804543 Removed Optional Element for rootpw in tdl
- 09d5380 BZ797298: man: fix minor typo in aeolus(1) man page

* Tue May 08 2012 Mo Morsi <mmorsi@redhat.com> - 0.4.0-1
- new upstream release
- update to ruby 1.9

* Mon Jan 09 2012 Steve Linabery <slinaber@redhat.com> - 0.3.0-2
- 7220d88 BZ#772006 Fixed Delete with no provider content
- 4de3d85 BZ#771793 Updated Import Output to list format
- 8be6e31 Updated man to reflect import changes
- 4a57651 Updated Push Specs for account array
- 6ed0556 Fixed Push Issue
- 2c6b457 Remove extra_release from spec.in
- d440f9d Bump version
- 8165edb Bring in changelog entries from 0.3.0 release
- 0feaea9 BZ#767099 Restructured Config Parser

* Wed Jan 04 2012 Steve Linabery <slinaber@redhat.com> - 0.3.0-1
- 3cd6277 Changes to build behavior in rpmtask.rb, Rakefile
- ebd81ca Import command does not support :target, and :description is optional
- 7e1bd27 Add tests for new methods in Aeolus::CLI::ImportCommand
- e0173cd Correct typo and delete commented out code
- 5b4740f Simple refactor of base_command_spec.rb
- 78d61c6 change :provider to :provider_account
- 21f8b1d change :provider to :provider_account
- 4999f31 fix known error code condition
- 604ea06 bz#747719: Relax NG schema for image description xml
- 50c0885 bz#747719: error handling for import params validations
- 87b325b bz#747719: validation of import parameters
- 3745bc0 Man pages update for BZ# 768509
- cb63a44 BZ# 768509: aeolus-cli rename to aeolus
- 2e9afeb BZ# 768507: aeolus-cli needs syntax to be more flexible
- 769a835 BZ#767068 Fixed Error handling on delete
- f0a46c2 Require provider_account for image import
- 4214286 Catch 401 Unauthorized response and display a more helpful error
- b8a38fb BZ#753917 Added targets to output of build
- 7ad615a BZ#753917 Updated Push command to list Provider/Account for ProviderImages
- 6251c23 Fix build status reporting
- 5d83b12 Added ProviderAccounts to provider images VCR cassette
- c80adbb Modified test for listing provider images with acc.info
- df91026 Added provider acc. info to provider images
- 87f5da7 Merge branch 'apache_license'
- bc2c9fd Bump version for ongoing development on master branch
- 2a7c04a Bump release and add changelog for 0.2.0 RC
- 6548977 Changed the license from GPL to ASL

* Thu Dec  1 2011 Steve Linabery <slinaber@redhat.com> - 0.3.0-0
- Bump version

* Thu Dec  1 2011 Steve Linabery <slinaber@redhat.com> - 0.2.0-1
- 785c8be Change and refactor tests for refactored option parser use
- 911d47c refactored option parser to support multiple same options
- dd580f4 Set language in HTTP_ACCEPT_LANGUAGE header
- 48bbaa0 RM 2803 - Add status checking on image builds and pushes - v2
- 6907390 Added provider content cleanup output
- d721dc0 added mention of .aeolus-cli into default help
- 44aa00c added section explaining .aeolus-cli into manpage
- 5db097e Added format since ARes changed default
- f0df5bb added dependency on ActiveSupport and ActiveResource to specfile
- 445347f bumped version in gem specification to reflect ver. in specfile
- 97585c1 Utilize Conductor API Error Messaging

* Mon Nov 21 2011 Maros Zatko <mzatko@redhat.com> 0.2.0-0
- added dependency on ActiveSupport and ActiveResource

* Wed Nov 16 2011 Steve Linabery <slinaber@redhat.com> 0.2.0-0
- bump version and release for ongoing development

* Wed Nov 9 2011 Martyn Taylor <mmorsi@redhat.com>  - 0.0.1-4
- Renamed Bin file to aeolus-cli

* Wed Jul 20 2011 Mo Morsi <mmorsi@redhat.com>  - 0.0.1-3
- more updates to conform to fedora guidelines

* Fri Jul 15 2011 Mo Morsi <mmorsi@redhat.com>  - 0.0.1-2
- updated package to conform to fedora guidelines

* Mon Jul 04 2011  <mtaylor@redhat.com>  - 0.0.1-1
- Added man files

* Wed Jun 15 2011  <jguiditt@redhat.com> - 0.0.1-1
- Initial package
